Uploaded image for project: 'ROOT'
  1. ROOT
  2. ROOT-8746

ROOT requires more recent version of GSL than tested by Cmake

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: High
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 6.10/00
    • Component/s: Build System
    • Labels:
      None
    • Environment:

      SLC6

    • Development:

      Description

      Since commit f36154738ee16ba3b369495a4371272db4eed902 ROOT tries to set to two members (nevalf and nevaldf) of the gsl_multifit_function_fdf struct that only exist since GSL version 2.0 (at least that is the first occurrence of those members I found with a quick search). However, the search for installed software by CMake still accepts GSL version 1.10.

      Could this please be corrected in a consistent way.

        Attachments

          Activity

            People

            • Assignee:
              mato Pere Mato Vila
              Reporter:
              suhl Sebastian Uhl (Inactive)
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Actual End: